import { id } from 'element-plus/es/locales.mjs'
import request from './request.js'

// 课程列表
export function getCourseList(data = {}) {
  return request.get('/course/list',data)
}
// 课程详情
export function getCourseDetail(data = {}) {
  return request.get('/course/'+data.id)
}
// 查询登录人记过笔记的课程列表（笔记列表旁边的课程列表）
export function getCourseWithNotesList(data = {}) {
  return request.get('/course/coursesWithNotesList')
}
// 查询章节列表
export function getChaptersList(data = {}) {
  return request.get('/chapter/chaptersList/'+data.id)
}
// 新增删除收藏记录（未被收藏新增，否则删除）
export function collect(data = {}) {
  return request.post('/collect',data)
}